<?php

require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';

if ($_POST['accion']=='ingresar' && $_POST['codigo']!=''){


    $obj = new database();

    $codigo = $_POST['codigo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");     

    $resultado=$obj->consulta("select alumnos.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre, matriculas.grado, grados.descripcion as nom_grado,matriculas.curso, cursos.descripcion as nom_curso, matriculas.estado, cursos.jornada, jornadas.descripcion as nom_jor from jornadas inner join (grados inner join (cursos inner join (matriculas inner join alumnos on matriculas.codigo = alumnos.codigo ) on ( cursos.codigo = matriculas.curso ) and (cursos.grado = matriculas.grado ) ) on grados.codigo = cursos.grado ) on jornadas.codigo = cursos.jornada where alumnos.codigo='".$codigo."'");

    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

    if ($n==1){

       $row = $obj->fetch_assoc($resultado);
       echo ($row['p_apellido'])." ".($row['s_apellido'])." ".($row['p_nombre'])." ".($row['s_nombre'])."_".$row['grado']." - ".($row['nom_grado'])."_".$row['curso']." - ".($row['nom_curso'])."_".$row['jornada']." - ".($row['nom_jor']);
    }
    else
        echo "NO";


}

//--------------------------------------------

if ($_POST['accion']=='mostrar_asign'){

    $obj = new database();

    $codigo = $_POST['codigo'];
    $grado1 = $_POST['grado'];
    $curso1 = $_POST['curso'];
    $jornada1 = $_POST['jornada'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    //$resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion from catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura 
    //                           where curso_asignatura_profesor.grado='".$grado1."' and curso_asignatura_profesor.curso='".$curso1."' order by catalogo.orden");

    $resultado=$obj->consulta("SELECT curso_asignatura_profesor.asignatura,catalogo.descripcion, profesores.nombres
                          FROM profesores INNER JOIN (catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura) ON profesores.cedula = curso_asignatura_profesor.profesor
                          WHERE curso_asignatura_profesor.grado='".$grado1."' AND curso_asignatura_profesor.curso='".$curso1."'  ORDER BY catalogo.orden");


    $n=$obj->numero_de_filas($resultado);

    if ($n>=1){

        $s="<center>";
        $s.="<br><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='80%'>";
        $s.="<tr ALIGN=CENTER> <td><b>C&Oacute;DIGO</b></td> <td><b>ASIGNATURA</b></td>";
        $s.="<td><b>P1</b></td> <td><b>P2</b></td><td><b>P3</b></td> <td><b>P4</b></td></tr>";

         while($row = $obj->fetch_assoc($resultado)){

              $s.="<tr>";
              $s.="<td align='center' width='10%'>".$row['asignatura']."</td>";
              $s.="<td width='50%'><B>".($row['descripcion'])."</B>
                    <BR><i><small>&nbsp;&nbsp;&nbsp;&nbsp;".($row['nombres'])."</small></i>
                    </td>";

              $parametro=$row['asignatura'].'_'.$grado1.'_'.$curso1.'_'.$jornada1; //id = periodo_asignatura_grado_curso_jornada


              //------- CONSULTA DE NOTAS DE LAS ASIGNATURAS EN CADA PERIODO ----------------

              $p1=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='1' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n1 = $obj->fetch_assoc($p1);

              $p2=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='2' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n2 = $obj->fetch_assoc($p2);

              $p3=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='3' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n3 = $obj->fetch_assoc($p3);

              $p4=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='4' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n4 = $obj->fetch_assoc($p4);

              
              //----- Seleccionamos de la tabla Notas_Finales_asign --------

              $p5=$obj->consulta("select definitiva from notas_finales_asign where codigo='".$codigo."' and asignatura='".$row['asignatura']."' and grado='".$grado1."' and grupo='".$curso1."'");
              $n5 = $obj->fetch_assoc($p5);

              //-------------  MOSTAR LA NOTA EN EL CUADRO DE TEXTO ---------------------------

              if ($obj->numero_de_filas($p1)==0){
                  $s.="<td align='center' width='10%'><input readonly='readonly' style='font-weight:bold;text-align:center;' type='text' id='1_".$row['asignatura']."'  size='2'></td>";
              }
              else{

                  $nota=$n1['autoevaluacion'];
                  if (strlen($n1['autoevaluacion'])==1) {
                      $nota=$n1['autoevaluacion'].".0";
                  }

                  $s.="<td align='center' width='10%'><input readonly='readonly' style='font-weight:bold;text-align:center;' value='".$nota."' type='text' id='1_".$row['asignatura']."'  size='2'></td>";

             }

              //---------------------------------
             $nota="";

              if ($obj->numero_de_filas($p2)==0){
                  $s.="<td align='center' width='10%'><input readonly='readonly' style='font-weight:bold;text-align:center;' type='text' id='2_".$row['asignatura']."'  size='2'></td>";
              }
              else {

                  $nota=$n2['autoevaluacion'];
                  if (strlen($n2['autoevaluacion'])==1) {
                      $nota=$n2['autoevaluacion'].".0";
                  }

                  $s.="<td align='center' width='10%'><input readonly='readonly' style='font-weight:bold;text-align:center;' value='".$nota."' type='text' id='2_".$row['asignatura']."' size='2'></td>";
              }

              //---------------------------------

              if ($obj->numero_de_filas($p3)==0){
                  $s.="<td align='center' width='10%'><input readonly='readonly' style='font-weight:bold;text-align:center;' type='text' id='3_".$row['asignatura']."'  size='2'></td>";
              }
              else{

                  $nota=$n3['autoevaluacion'];
                  if (strlen($n3['autoevaluacion'])==1) {
                      $nota=$n3['autoevaluacion'].".0";
                  }

                  $s.="<td align='center' width='10%'><input readonly='readonly' style='font-weight:bold;text-align:center;' value='".$nota."' type='text' id='3_".$row['asignatura']."'  size='2'></td>";
              }

              //---------------------------------

              if ($obj->numero_de_filas($p4)==0){
                  $s.="<td align='center' width='10%'><input  readonly='readonly' style='font-weight:bold;text-align:center;' type='text' id='4_".$row['asignatura']."'  size='2'></td>";
              }
              else{

                 $nota=$n4['autoevaluacion'];
                 if (strlen($n4['autoevaluacion'])==1) {
                      $nota=$n4['autoevaluacion'].".0";
                  }

                  $s.="<td align='center' width='10%'><input readonly='readonly' style='font-weight:bold;text-align:center;' value='".$nota."' type='text' id='4_".$row['asignatura']."'  size='2'></td>";
              }

              //---------------------------------
              /*
              if (strlen($n5['comportamiento'])==1) {
                 $nota=$n5['comportamiento'].".0";
                 $s.="<td align='center' width='10%'><input style='font-weight:bold;text-align:center;' value='".$nota."' type='text' id='5_".$row['asignatura']."'  size='2'  readonly=\"readonly\" </td>";
              }
              else{
                 $s.="<td align='center' width='10%'><input style='font-weight:bold;text-align:center;' value='".$n5['definitiva']."' type='text' id='5_".$row['asignatura']."'  size='2'  readonly=\"readonly\" </td>";
              }

              */

              $s.="</tr>";
         }
         $s.="</table><br>";
         $s.="</center>";
       
         echo $s;
    }
    else{
        echo "NO";
    }

    $obj->disconnect();

}

//--------------------------------------------

if ($_POST['accion']=='grabar_notas'){

$obj = new database();

    $codigo = $_POST['codigo'];
    $periodo=$_POST['periodo'];
    $asignatura=$_POST['asignatura'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso'];
    $jornada=$_POST['jornada'];
    $nota=$_POST['nota'];

$obj->conectar(); $obj->consulta("set names 'utf8'");
    //--- Verificamos la existencia de la planilla ------
    $bol=$obj->consulta("select numero, asignatura, periodo,jornada,grado,curso from boletin where asignatura='".$asignatura."' and periodo='".$periodo."' and jornada='".$jornada."' and grado='".$grado."' and curso='".$curso."'");

    $n=$obj->numero_de_filas($bol);

    if ($n==1){

        $row = $obj->fetch_assoc($bol);

        /*--- Verificamos la existencia del alumno en la planilla Tabla DetalleBoletin ------*/

        $detbol=$obj->consulta("select boletin, secuencial, alumno, hetero,autoeval,coeval,definitiva, valor_asigna from detalleboletin where boletin='".$row['numero']."' and alumno='".$codigo."'");
        $n1=$obj->numero_de_filas($detbol);
        $row1 = $obj->fetch_assoc($detbol);


        /*----------- Recuperamos No de Registro ---------- */

        $numeros=$obj->consulta("select noregistro from parametros");
        $rg= $obj->fetch_assoc($numeros);
        $registro=$rg['noregistro'];
        $obj->consulta("update parametros set noregistro='".($registro+1)."'");

        /*--------------------------------------------------*/


        if ($n1==1){

            $obj->consulta("delete from indicadores where detalle_boletin='".$row1['secuencial']."'");
            $obj->consulta("update detalleboletin set hetero=".$nota.",autoeval=".$nota.",coeval=".$nota.",definitiva=".$nota.",valor_asigna='".calculardef($nota)."' where boletin='".$row1['boletin']."' and alumno='".$row1['alumno']."'");

            /*--- Buscamos cantidad de Logros----- */

            $logros=$obj->consulta("select * from logros where grado='".$grado."' and curso='".$curso."' and asignatura='".$asignatura."' and periodo='".$periodo."' and (codigo>=1 and codigo<=5)");
            $total_logros=$obj->numero_de_filas($logros);

            if ($total_logros>=1){

                $i=1;
                while($i<=$total_logros){

                  $obj->consulta("insert into indicadores (detalle_boletin,numero_logro,valor_logro) values ('".$row1['secuencial']."','".$i."','".$nota."')");
                  $i=$i+1;
                }
            }


        }
        else{

            //---- Si el alumno esta repetido lo borra --------

            if ($n1>=1){
                $obj->consulta("delete from detalleboletin where boletin='".$row1['boletin']."' and alumno='".$row1['alumno']."'");
            }

            /*----------- Adicionamos registros en DetalleBoletin e Indicadores con el primer logro ---------- */

            $obj->consulta("insert into detalleboletin (secuencial,boletin,alumno,hetero,autoeval,coeval,definitiva,valor_asigna) values ('".$registro."','".$row['numero']."','".$codigo."',".$nota.",".$nota.",".$nota.",".$nota.",'".calculardef($nota)."')");

            /*--- Buscamos cantidad de Logros----- */

             $logros=$obj->consulta("select * from logros where grado='".$grado."' and curso='".$curso."' and asignatura='".$asignatura."' and periodo='".$periodo."' and (codigo>=1 and codigo<=5)");
             $total_logros=$obj->numero_de_filas($logros);

            if ($total_logros>=1){

                $i=1;

                while($i<=$total_logros){

                  $obj->consulta("insert into indicadores (detalle_boletin,numero_logro,valor_logro) values  ('".$registro."','".$i."','".$nota."')");

                  $i=$i+1;
                }

            }

        }

    }
    else{
        echo "NO EXISTE PLANILLA";
   
    }

    $obj->disconnect();

}

?>
